#ifndef FPS_H
#define FPS_H

#include <stdio.h>
#include <sys/time.h>

#include "typen.h"
#include "grafik.h"
#include "oss.h" /* damit Info angezeigt wird */

#define LIMIT_FPS 20
// #undef LIMIT_FPS
// verwendet setitimer, um bei genug Rechenleistung davon was abzugeben,
// so dass nur max (...) frames per second erreicht werden

#ifdef LIMIT_FPS
#include <errno.h>
#include <signal.h>
#include <unistd.h> /* pause() */
#endif

#undef CPU_WRITE     /* Uebrige CPU-Zeit auf StdErr ausgeben */
#define CPU_SKALA 42 /* Grafische Skala fuer uebrige CPU-Zeit anzeigen */

void init_fps ();
void next_fps ();
void show_fps (char * subname); 

#endif
